Subject: Re: draft-iesg-vendor-extensions-00.txt

From: Alex Zinin <[email-masked]>
Date: Thu, 6 Mar 2003 15:05:59 -0800

Shahram,

  Since the draft in subject is not specific to the CCAMP or MPLS WGs,
  or even the SUB-IP area, may I suggest that we don't abuse the
  mailing lists of these WGs and take the discussion to [email-masked]?

-- 
Alex

Thursday, March 6, 2003, 11:35:16 AM, Shahram Davari wrote:
> Hi All,

> I would like to make an alternative proposal to what is proposed in this draft.
> I think that IETF should not prevent other SDOs from developing extensions (minor or major),
> to IETF protocols, as long as they don't call those extensions being IETF compliant.
> I think IETF could recommend that the other SDOs present their protocol extensions
> to IETF (in the form of a draft). The IETF community then has 3 choices:

> 1) IETF agrees with the requirements and nature of the extensions and find them useful. In that case IETF could engage in technical discussions with the other SDO and reach to a mutually agreeable
> draft, which could then be advanced to Proposed Standard.

> 2) IETF agrees with the requirement, but does not agree with the proposed extension, and prefers other solutions/extensions that it thinks meet those requirements. In that case IETF could develop
> its solution and present it to the requesting SDO. If that SDO is satisfied with
> IETF's solution, then fine, otherwise nobody can prevent them from developing their own extension. If that happens then there would be two solutions for the same requirements
> and we should let the Market decide which solution/extension do they prefer.

> 3) IETF does not agree with the requirement for such extensions at all. In that case, the
> other SDO should be free to developed their own extension, provided they don't call those extensions to be IETF compliant.

> Thanks,
> -Shahram